#!/bin/bash

# do-all.sh

# Generate scores from MUP-, TeX- and Quikscript sources

#set -x

###############################################################################
# Set up variables                                                            #
###############################################################################

export QS="Qs"
#export QS="Qs-letter"

export PS2PDF="ps2pdf -sPAPERSIZE=letter"

###############################################################################
# Main program                                                                #
###############################################################################

#
# Generate single pages from mup sources
#

###############################################################################
# 1st movement                                                                #
###############################################################################

echo 1st movement, generating single pages 

echo "  full score ..."

./Scheibe-Pages.sh con1 11 -D SCORE

echo "  flauto traverso ..."

./Scheibe-Pages.sh con1 3 -D PFL

echo "  violino primo ..."

./Scheibe-Pages.sh con1 2 -D PVL1

echo "  violino secundo ..."

./Scheibe-Pages.sh con1 2 -D PVL2

echo "  viola ..."

./Scheibe-Pages.sh con1 2 -D PVLA

echo "  basso ..."

./Scheibe-Pages.sh con1 2 -D PBS

###############################################################################
# 2nd movement                                                                #
###############################################################################

echo 2nd movement, generating single pages

echo "  full score ..."

./Scheibe-Pages.sh con2 6 -D SCORE

echo "  flauto traverso ..."

./Scheibe-Pages.sh con2 1 -D PFL

echo "  violino primo ..."

./Scheibe-Pages.sh con2 2 -D PVL1

echo "  violino secundo ..."

./Scheibe-Pages.sh con2 1 -D PVL2

echo "  viola ..."

./Scheibe-Pages.sh con2 1 -D PVLA

echo "  basso ..."

./Scheibe-Pages.sh con2 1 -D PBS

###############################################################################
# 3rd movement                                                                #
###############################################################################

echo 3rd movement, generating single pages

./Scheibe-Pages.sh con3 10 -D SCORE

echo "  flauto traverso ..."

./Scheibe-Pages.sh con3 3 -D PFL

echo "  violino primo ..."

./Scheibe-Pages.sh con3 2 -D PVL1

echo "  violino secundo ..."

./Scheibe-Pages.sh con3 2 -D PVL2

echo "  viola ..."

./Scheibe-Pages.sh con3 1 -D PVLA

echo "  basso ..."

./Scheibe-Pages.sh con3 1 -D PBS

###############################################################################
# Generate music examples for critical notes from mup sources                 #
###############################################################################

echo generating music examples ...

mup -F con2_ex1; ps2eps -f con2_ex1.ps
mup -F con2_ex2; ps2eps -f con2_ex2.ps
mup -F con2_ex3; ps2eps -f con2_ex3.ps
mup -F con2_ex4; ps2eps -f con2_ex4.ps
mup -F con3_ex1; ps2eps -f con3_ex1.ps

###############################################################################
# Generate critical notes from TeX source                                     #
###############################################################################

echo generating critical notes ...

tex comments
dvips comments
psselect -p1 comments.ps comments-p1.ps
psselect -p2 comments.ps comments-p2.ps
ps2eps -f comments-p1.ps
ps2eps -f comments-p2.ps

###############################################################################
# Collect epsi pages to pdf scores                                            #
###############################################################################

echo generating scores ...

catex $QS ConcA.qs > ConcA.ps; $PS2PDF ConcA.ps
catex $QS ConcA-fl.qs > ConcA-fl.ps; $PS2PDF ConcA-fl.ps
catex $QS ConcA-vl1.qs > ConcA-vl1.ps; $PS2PDF ConcA-vl1.ps
catex $QS ConcA-vl2.qs > ConcA-vl2.ps; $PS2PDF ConcA-vl2.ps
catex $QS ConcA-vla.qs > ConcA-vla.ps; $PS2PDF ConcA-vla.ps
catex $QS ConcA-bs.qs > ConcA-bs.ps; $PS2PDF ConcA-bs.ps

###############################################################################
# Clean up intermediate files                                                 #
###############################################################################

echo cleaning up ...

rm *.dvi *.eps* *.ps *.log
#rm *.dvi *.epsi *.log
